SoVRMLOrientationInterpolator(3)

NAME
SoVRMLOrientationInterpolator - The SoVRMLOrientationInterpolator class is used to interpolate orientations.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLOrientationInterpolator.h>

Inherits SoVRMLInterpolator.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoEngineOutputData * getOutputData (void) const
SoVRMLOrientationInterpolator (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)

  Public Attributes
SoMFRotation keyValue
SoEngineOutput value_changed

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoVRMLOrientationInterpolator (void)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLOrientationInterpolator class is used to interpolate orientations. The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

OrientationInterpolator {
  eventIn      SFFloat    set_fraction      # (-,)
  exposedField MFFloat    key           []  # (-,)
  exposedField MFRotation keyValue      []  # [-1,1],(-,)
  eventOut     SFRotation value_changed
}

The OrientationInterpolator node interpolates among a list of rotation values specified in the keyValue field. These rotations are absolute in object space and therefore are not cumulative. The keyValue field shall contain exactly as many rotations as there are keyframes in the key field. An orientation represents the final position of an object after a rotation has been applied. An OrientationInterpolator interpolates between two orientations by computing the shortest path on the unit sphere between the two orientations. The interpolation is linear in arc length along this path. The results are undefined if the two orientations are diagonally opposite. If two consecutive keyValue values exist such that the arc length between them is greater than , the interpolation will take place on the arc complement. For example, the interpolation between the orientations (0, 1, 0, 0) and (0, 1, 0, 5.0) is equivalent to the rotation between the orientations (0, 1, 0, 2) and (0, 1, 0, 5.0). A more detailed discussion of interpolators is contained in 4.6.8, Interpolator nodes (http://www.web3d.org/documents/specifications/14772/V2.0/part1/concepts.html#4.6.8).

Constructor & Destructor Documentation

  SoVRMLOrientationInterpolator::SoVRMLOrientationInterpolator (void)
Constructor.

  SoVRMLOrientationInterpolator::~SoVRMLOrientationInterpolator (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLOrientationInterpolator::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLOrientationInterpolator::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVRMLInterpolator.

  const SoFieldData ** SoVRMLOrientationInterpolator::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLOrientationInterpolator::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoVRMLInterpolator.

  const SoEngineOutputData * SoVRMLOrientationInterpolator::getOutputData (void) const [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Reimplemented from SoVRMLInterpolator.

  void SoVRMLOrientationInterpolator::initClass (void) [static]

Member Data Documentation

  SoMFRotation SoVRMLOrientationInterpolator::keyValue
The keyValue vector.

  SoEngineOutput SoVRMLOrientationInterpolator::value_changed
The eventOut which is sent every time the interpolator has calculated a new value.

Author

Generated automatically by Doxygen for Coin from the source code.